Package org.mozilla.classfile

## Class ClassFileWriter.MHandle

- java.lang.Object
- - org.mozilla.classfile.ClassFileWriter.MHandle

- Enclosing class:
    ClassFileWriter

      public static final class ClassFileWriter.MHandle
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MHandle​(byte tag, java.lang.String owner, java.lang.String name, java.lang.String desc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MHandle

          public MHandle​(byte tag,
                         java.lang.String owner,
                         java.lang.String name,
                         java.lang.String desc)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`